/**
 * 
 */
package hu.bme.mit.graph.editor;

import java.util.EventObject;
import java.util.Iterator;

import org.eclipse.gef.commands.CommandStackListener;
import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.gef.ui.actions.UpdateAction;

/**
 * @author meres
 *
 */
public class GraphEditorListener implements CommandStackListener {

	ActionRegistry registry;
	
	public GraphEditorListener(ActionRegistry registry){
		this.registry = registry;
	}
	/* (non-Javadoc)
	 * @see org.eclipse.gef.commands.CommandStackListener#commandStackChanged(java.util.EventObject)
	 */
	@Override
	public void commandStackChanged(EventObject event) {
		Iterator iterator = registry.getActions();
		while (iterator.hasNext()) {
			Object action = iterator.next();
			if (action instanceof UpdateAction) {
				((UpdateAction) action).update();
			}
		}

	}

}
