/**
 * 
 */
package hu.bme.mit.graph.editor.factories;

import hu.bme.mit.graph.model.graph.Arc;
import hu.bme.mit.graph.model.graph.GraphFactory;
import hu.bme.mit.graph.model.graph.Node;
import hu.bme.mit.graph.model.graph.NodeType;

import org.eclipse.gef.requests.CreationFactory;

/**
 * @author meres
 *
 */
public class ArcFactory implements CreationFactory {

	/* (non-Javadoc)
	 * @see org.eclipse.gef.requests.CreationFactory#getNewObject()
	 */
	@Override
	public Object getNewObject() {
		GraphFactory factory = GraphFactory.eINSTANCE;
		Arc arc = factory.createArc();
		return arc;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.gef.requests.CreationFactory#getObjectType()
	 */
	@Override
	public Object getObjectType() {
		return Arc.class;
	}

}
