/**
 * 
 */
package hu.bme.mit.graph.editor.factories;

import hu.bme.mit.graph.model.graph.Graph;
import hu.bme.mit.graph.model.graph.GraphFactory;
import hu.bme.mit.graph.model.graph.GraphPackage;
import hu.bme.mit.graph.model.graph.Node;
import hu.bme.mit.graph.model.graph.NodeType;

import org.eclipse.gef.requests.CreationFactory;

/**
 * @author meres
 *
 */
public class RectangleNodeFactory implements CreationFactory {

	/* (non-Javadoc)
	 * @see org.eclipse.gef.requests.CreationFactory#getNewObject()
	 */
	@Override
	public Object getNewObject() {
		GraphFactory factory = GraphFactory.eINSTANCE;
		Node node = factory.createNode();
		node.setType(NodeType.RECTANGLE);
		return node;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.gef.requests.CreationFactory#getObjectType()
	 */
	@Override
	public Object getObjectType() {
		return Node.class;
	}

}
