/**
 * 
 */
package hu.bme.mit.graph.editor;

import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.ui.IActionBars;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.part.EditorActionBarContributor;

/**
 * @author meres
 * 
 */
public class ActionBarContributor extends EditorActionBarContributor {
	public void setActiveEditor(IEditorPart targetEditor) {
		IActionBars actionBars = getActionBars();
		if (actionBars == null)
			return;
		String undoId = ActionFactory.UNDO.getId();
		String redoId = ActionFactory.REDO.getId();
		ActionRegistry actionRegistry = ((GraphModelEditor) targetEditor)
				.getActionRegistry();
		actionBars.setGlobalActionHandler(undoId, actionRegistry
				.getAction(undoId));
		actionBars.setGlobalActionHandler(redoId, actionRegistry
				.getAction(redoId));
		actionBars.updateActionBars();
	}

}
